# xarray.plot.FacetGrid.set_titles

`FacetGrid.``set_titles`(template='{coord} = {value}', maxchar=30, **kwargs)

  Draw titles either above each facet or on the grid margins.

  Parameters:

  template : string

  > Template for plot titles containing {coord} and {value}

  maxchar : int

  > Truncate titles at maxchar

  kwargs : keyword args

  > additional arguments to matplotlib.text

  Returns: | self: FacetGrid object